=== debian/control ===
Source: ros-dashing-camera-calibration
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, python3-requests, ros-dashing-ament-copyright, ros-dashing-ament-flake8, ros-dashing-ament-pep257, ros-dashing-cv-bridge, ros-dashing-image-geometry, ros-dashing-message-filters, ros-dashing-rclpy, ros-dashing-sensor-msgs, ros-dashing-std-srvs, ros-dashing-ros-workspace, python3-all, python3-setuptools
Homepage: https://index.ros.org/p/camera_calibration/github-ros-perception-image_pipeline/
Standards-Version: 3.9.2

Package: ros-dashing-camera-calibration
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-dashing-cv-bridge, ros-dashing-image-geometry, ros-dashing-message-filters, ros-dashing-rclpy, ros-dashing-sensor-msgs, ros-dashing-std-srvs, ros-dashing-ros-workspace
Description: camera_calibration allows easy calibration of monocular or stereo cameras using a checkerboard calibration target.
